commit:     8cac90ccc2868bcf304b016f53027ecc8eb5e8af
Author:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 24 23:05:45 2026 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Tue Feb 24 23:05:45 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8cac90cc

dev-libs/intel-compute-runtime: add 26.05.37020.3

Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 dev-libs/intel-compute-runtime/Manifest            |  1 +
 .../intel-compute-runtime-26.05.37020.3.ebuild     | 87 ++++++++++++++++++++++
 2 files changed, 88 insertions(+)

diff --git a/dev-libs/intel-compute-runtime/Manifest 
b/dev-libs/intel-compute-runtime/Manifest
index 9b27c4aa6511..49f8f5610e7d 100644
--- a/dev-libs/intel-compute-runtime/Manifest
+++ b/dev-libs/intel-compute-runtime/Manifest
@@ -1,3 +1,4 @@
 DIST intel-compute-runtime-25.31.34666.3.tar.gz 8030033 BLAKE2B 
e80bd3ca184b17b5243a6d84b68c5ae76dec6d3d1108e4e0de395db82f28facf20c352289cf3ffd7565929b934f04ef6309f336c7c67d1182c91e43507f60f17
 SHA512 
1ca6f411e17f18912a0137babdc5322e2d9c97da96ce302de9e78b652c3e40b98f9ed85785bcb68d305bd7f25e37f0c2a34391ed62202d4b08161e569c7b4eea
 DIST intel-compute-runtime-25.35.35096.9.tar.gz 8167540 BLAKE2B 
290838ba19e7f33f339b122c2db7f0b82cd2de593d340ad918c93cda465fee132e5ebab3da70c1804500fd03742ea3a931504a080d272561909d78a252f0c001
 SHA512 
0d1a79a27505576a0f99a3f0e28010c3f5201d54add3684215728652a92bc6b11306a33d7d871dd50c0e8377bdc5fb886a247210e1e8db2634802447db91edd0
 DIST intel-compute-runtime-25.40.35563.4.tar.gz 8191095 BLAKE2B 
9290fe141f683b79f436ca9b383458b722d4503e79228c979f21ecb2f725524c2e818e7e1268da35212876b31e55de8ba6b7f8e2d65b55d8e0ec0a08170003a1
 SHA512 
826ee4ccdb1f65b9514edaab12f796fe24abc166321c9343d361ae578defbf3c287d8ad66364bf0d91390eeac87bac3824304289ba7cde276710971b21ee8ed9
+DIST intel-compute-runtime-26.05.37020.3.tar.gz 8658816 BLAKE2B 
be4c37c29604efd4e04dc6ba887d5e9a6cc7fe64792493049fe23f90350932b46ea7b7c301c6b28ceea49e2c393f83dc9b0ec1842e93a4efc868f63e999f343e
 SHA512 
eabd9a5076a2059b2cc64b264671db348b64ccbd646a596d548523e3dd7f4badecc6f8e1d9dde908ad13ce1da32ef706e4587be052f2f3063db6c909e7d22704

diff --git 
a/dev-libs/intel-compute-runtime/intel-compute-runtime-26.05.37020.3.ebuild 
b/dev-libs/intel-compute-runtime/intel-compute-runtime-26.05.37020.3.ebuild
new file mode 100644
index 000000000000..01fbf7647f55
--- /dev/null
+++ b/dev-libs/intel-compute-runtime/intel-compute-runtime-26.05.37020.3.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+CMAKE_BUILD_TYPE="Release"
+MY_PN="${PN/intel-/}"
+MY_P="${MY_PN}-${PV}"
+
+inherit cmake flag-o-matic
+
+DESCRIPTION="Intel Graphics Compute Runtime for oneAPI Level Zero and OpenCL 
Driver"
+HOMEPAGE="https://github.com/intel/compute-runtime";
+SRC_URI="https://github.com/intel/${MY_PN}/archive/refs/tags/${PV}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="MIT"
+SLOT="0/1.6.$(ver_cut 3)"
+KEYWORDS="~amd64"
+IUSE="disable-mitigations +l0 +vaapi"
+
+RDEPEND="
+       !dev-libs/intel-compute-runtime:legacy
+       >=dev-util/intel-graphics-compiler-2.30.1:0
+       !dev-util/intel-graphics-compiler:legacy
+       >=media-libs/gmmlib-22.7.1:=
+"
+
+DEPEND="
+       ${RDEPEND}
+       dev-libs/intel-metrics-discovery:=
+       >=dev-libs/intel-metrics-library-1.0.209:=
+       dev-libs/libnl:3
+       dev-libs/libxml2:2
+       >=dev-util/intel-graphics-system-controller-1.0.2:=
+       media-libs/mesa
+       >=virtual/opencl-3
+       l0? ( >=dev-libs/level-zero-1.28.2:= )
+       vaapi? (
+               x11-libs/libdrm[video_cards_intel]
+               media-libs/libva
+       )
+"
+
+BDEPEND="virtual/pkgconfig"
+
+DOCS=( "README.md" "FAQ.md" )
+
+src_prepare() {
+       # Remove '-Werror' from default
+       sed -e '/Werror/d' -i CMakeLists.txt || die
+
+       cmake_src_prepare
+}
+
+src_configure() {
+       # Filtered for two reasons:
+       # 1) https://github.com/intel/compute-runtime/issues/528
+       # 2) bug #930199
+       filter-lto
+
+       local mycmakeargs=(
+               -DCCACHE_ALLOWED="OFF"
+               -DCMAKE_INSTALL_PREFIX="${EPREFIX}/usr"
+               -DCMAKE_INSTALL_LIBDIR="$(get_libdir)"
+               -DBUILD_WITH_L0="$(usex l0)"
+               -DDISABLE_LIBVA="$(usex !vaapi)"
+               -DNEO_ALLOW_LEGACY_PLATFORMS_SUPPORT="ON"
+               -DNEO_DISABLE_LTO="ON"
+               -DNEO_DISABLE_MITIGATIONS="$(usex disable-mitigations)"
+               -DNEO__METRICS_LIBRARY_INCLUDE_DIR="${ESYSROOT}/usr/include"
+               -DKHRONOS_GL_HEADERS_DIR="${ESYSROOT}/usr/include"
+               -DOCL_ICD_VENDORDIR="${EPREFIX}/etc/OpenCL/vendors"
+               -DSUPPORT_DG1="ON"
+               -Wno-dev
+
+               # See 
https://github.com/intel/intel-graphics-compiler/issues/204
+               # -DNEO_DISABLE_BUILTINS_COMPILATION="ON"
+
+               # If enabled, tests are automatically run during
+               # the compile phase and we cannot run them because
+               # they require permissions to access the hardware.
+               -DSKIP_UNIT_TESTS="1"
+       )
+
+       cmake_src_configure
+}

Reply via email to